Package org.apache.storm.blobstore

# Class BlobStore.BlobStoreFileOutputStream

java.lang.Object
java.io.OutputStream
org.apache.storm.blobstore.AtomicOutputStream
org.apache.storm.blobstore.BlobStore.BlobStoreFileOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Enclosing class:
  BlobStore

protected class BlobStore.BlobStoreFileOutputStream extends AtomicOutputStream
Output stream implementation used for reading the metadata and data information.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlobStoreFileOutputStream(BlobStoreFile part)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Cancel all of the writes associated with this stream and close it.
  `void`
  `close()`
  `void`
  `write(byte[] b)`
  `void`
  `write(byte[] b, int offset, int len)`
  `void`
  `write(int b)`

  ### Methods inherited from class java.io.OutputStream

  `flush, nullOutputStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BlobStoreFileOutputStream

    public BlobStoreFileOutputStream(BlobStoreFile part) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `OutputStream`
    Throws:
      `IOException`

  - ### cancel

    public void cancel() throws IOException
    Description copied from class: `AtomicOutputStream`
    Cancel all of the writes associated with this stream and close it.
    Specified by:
      `cancel` in class `AtomicOutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(int b) throws IOException
    Specified by:
      `write` in class `OutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(byte[] b) throws IOException
    Overrides:
      `write` in class `OutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(byte[] b, int offset, int len) throws IOException
    Overrides:
      `write` in class `OutputStream`
    Throws:
      `IOException`